# GimpUi.MemsizeEntry

    const GimpUi = imports.gi.GimpUi;

    let memsizeEntry = new GimpUi.MemsizeEntry();

Similar to a GimpUi.SizeEntry but instead of lengths, this widget is used to let the user enter memory sizes. A combo box allows one to switch between Kilobytes, Megabytes and Gigabytes. Used in the GIMP preferences dialog.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.MemsizeEntry

## Constructors

- GimpUi.MemsizeEntry.new

## Methods

- GimpUi.MemsizeEntry.prototype.get_spinbutton
- GimpUi.MemsizeEntry.prototype.get_value
- GimpUi.MemsizeEntry.prototype.set_value

## Signals

- value-changed